/**
 * Copyright (c) 2022 - present TinyVue Authors.
 * Copyright (c) 2022 - present Huawei Cloud Computing Technologies Co., Ltd.
 *
 * Use of this source code is governed by an MIT-style license.
 *
 * THE OPEN SOURCE SOFTWARE IN THIS PRODUCT IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL,
 * BUT WITHOUT ANY WARRANTY, WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR
 * A PARTICULAR PURPOSE. SEE THE APPLICABLE LICENSES FOR MORE DETAILS.
 *
 */
import type { ISharedRenderlessFunctionParams } from 'types/shared.type';
export interface IPopupState {
    opened: boolean;
    rendered: boolean;
}
type IPopupInputParams = ISharedRenderlessFunctionParams<never> & {
    api: {
        open: Function;
        close: Function;
    };
    state: IPopupState;
    props: any;
};
/** vue-popup 只是dialog-box 自己使用的包， 封装了一些state和几个方法，处理mount,unmount 和watch。 它内部封装了 PopupManager 的调用！
 * 计划：drawer/image 等组件均使用该函数
 */
export declare const usePopup: (options: IPopupInputParams) => any;
export {};
